> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getProof on MegaETH

> eth_getProof returns the Merkle proof for an account and storage slots on MegaETH, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_getProof` on **MegaETH**: Returns the Merkle proof for an account and storage slots.

## Endpoint

```
https://rpc.goldrushdata.com/v1/megaeth-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `address` | `DATA, 20 bytes` | yes | Address to prove. | `"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"` |
| `storageKeys` | `Array<DATA, 32 bytes>` | yes | Array of storage keys to include in the proof. | `["0x0000000000000000000000000000000000000000000000000000000000000000"]` |
| `blockTag` | `QUANTITY \| TAG` | yes | Block number (hex) or block tag. | `"latest"` |

## Returns

`Object`: `{address, accountProof[], balance, codeHash, nonce, storageHash, storageProof[]}`

```json theme={null}
{"address":"0xa0b86991...","balance":"0x0","accountProof":["0xf90211..."]}
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/megaeth-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getProof",
    "params": ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", ["0x0000000000000000000000000000000000000000000000000000000000000000"], "latest"]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/megaeth-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getProof", ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", ["0x0000000000000000000000000000000000000000000000000000000000000000"], "latest"]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/megaeth-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getProof",
  params: ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", ["0x0000000000000000000000000000000000000000000000000000000000000000"], "latest"],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/megaeth-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getProof",
  params: ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", ["0x0000000000000000000000000000000000000000000000000000000000000000"], "latest"],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/megaeth-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getProof", ["0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", ["0x0000000000000000000000000000000000000000000000000000000000000000"], "latest"])
print(result)
```

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Accounts info methods on MegaETH

* [`eth_getBalance` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getbalance)
* [`eth_getCode` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getcode)
* [`eth_getStorageAt` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-getstorageat)
* [`eth_accounts` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-accounts)

## Also available on

* [`eth_getProof` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-getproof)
* [`eth_getProof` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-getproof)
* [`eth_getProof` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-getproof)
* [`eth_getProof` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-getproof)
* [`eth_getProof` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-getproof)
* [`eth_getProof` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-getproof)
* [`eth_getProof` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-getproof)
* [`eth_getProof` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-getproof)
* [`eth_getProof` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-getproof)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.